Description

debian squeeze package 0.4.2-1 installed

In "reports", the log filter does not work when attempting to display anything other than "all messages".

Associated revisions

Revision 94f61f7b - 07/01/2012 02:37 PM - Ohad Levy

make sure that info messages are not shown when filtering is enabled refs #1634

History

#1 - 06/07/2012 07:18 AM - Ohad Levy

- Status changed from New to Need more information

can you provide an example of what is not working, and how should it work?

thanks

#2 - 06/07/2012 10:30 AM - Adam Kosmin

I'm not sure what else can be said other than the filter displayed in the reports section doesn't work. Anything other than "all messages" fails.

#3 - 06/07/2012 01:59 PM - Ohad Levy

you mean that the auto completer does not work? (e.g. it does not suggest values?)

does the search work? e.g. if you manually input log ~ package or something like that?

#4 - 06/07/2012 03:37 PM - Josh Baird

1.  From "Hosts," click on a host.

2.  On the host properties page, click "Reports"

3.  Click on a report that had an error.

4.  Change the "Show Log Messages" dropdown to "Errors Only" or "Warnings Or Errors"

While the filter does show errors only, or warnings/errors, it also shows "info" reports.  This may the intention of this function, though.  I don't mind it.

#5 - 06/07/2012 04:22 PM - Adam Kosmin

That's a strange thing to "not mind" considering the purpose of a filter. I'd expect a selection of "Errors Only" to result in a page with only errors

shown.

Thanks again

#6 - 06/28/2012 04:34 AM - Ohad Levy

Thats exactly how it works for me, if I click on errors, then i only see errors.

do you happen to have a javascript error (maybe in your browser console)?
#7 - 06/18/2013 11:54 AM - Benjamin Papillon

- Status changed from Need more information to Feedback

Hello,

Do still have the issue?

#8 - 08/05/2014 11:56 AM - Stephen Benjamin

- Bugzilla link set to 1126938

#9 - 05/17/2017 08:50 AM - Anonymous

- Description updated

- Status changed from Feedback to Resolved

no reaction, closing.
